# Class Marker

java.lang.Object
jfx.incubator.scene.control.richtext.Marker

All Implemented Interfaces:
  `Comparable<Marker>`

public final class Marker extends Object implements Comparable<Marker>
Tracks the text position in a document in the presence of edits.

Since:
  24

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ReadOnlyObjectProperty<TextPos>`
  `textPos`
  This property tracks the marker's position within the model (value is never null).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `compareTo(Marker m)`
  `final int`
  `getIndex()`
  Returns the paragraph index.
  `final int`
  `getOffset()`
  Returns the text offset within the paragraph.
  `final TextPos`
  `getTextPos()`
  Gets the value of the `textPos` property.
  `final ReadOnlyObjectProperty<TextPos>`
  `textPosProperty()`
  This property tracks the marker's position within the model (value is never null).

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### textPos

    public final ReadOnlyObjectProperty<TextPos> textPosProperty
    This property tracks the marker's position within the model (value is never null).
    See Also:
      - `getTextPos()`
      - `textPosProperty()`

- ## Method Details

  - ### textPosProperty

    public final ReadOnlyObjectProperty<TextPos> textPosProperty()
    This property tracks the marker's position within the model (value is never null).
    Returns:
      the text position property
    See Also:
      - `getTextPos()`

  - ### getTextPos

    public final TextPos getTextPos()
    Gets the value of the `textPos` property.
    Property description:
      This property tracks the marker's position within the model (value is never null).
    Returns:
      the value of the `textPos` property
    See Also:
      - `textPosProperty()`

  - ### compareTo

    public final int compareTo(Marker m)
    Specified by:
      `compareTo` in interface `Comparable<Marker>`

  - ### getIndex

    public final int getIndex()
    Returns the paragraph index.
    Returns:
      the paragraph index

  - ### getOffset

    public final int getOffset()
    Returns the text offset within the paragraph.
    Returns:
      the offset value